> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # Update > Used to update a campaign that has already been created. Parameters are the same as those available in the create method. Review the [campaign model properties](https://docs.xtremepush.com/reference/campaign-model) page to see the available parameters. ## OpenAPI ````json POST /update/campaign { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/update/campaign": { "post": { "summary": "Update", "description": "Used to update a campaign that has already been created. Parameters are the same as those available in the create method.\n\nReview the [campaign model properties](https://docs.xtremepush.com/reference/campaign-model) page to see the available parameters.", "operationId": "campaign-update", "deprecated": "false", "requestBody": { "required": "true", "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "id" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "id": { "type": "integer", "format": "int32", "description": "The ID of the campaign you want to update" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "message": { "type": "string", "example": "Campaign is successfully updated" }, "model": { "type": "object" } } }, "examples": { "Result": { "value": { "success": "true", "code": "200", "message": "Campaign is successfully updated", "model": { "id": "58943956", "project_id": "PROJECT_ID", "type": "1", "trigger": "3", "send_type": "2", "active": "1", "sending": "0", "draft": "0", "status": "0", "is_open": "0", "title": "Updated API example", "ab": "0", "languages_multi": "0", "content_fetch": "0", "encryption": "1", "ios_push": "0", "android_push": "1", "web_push": "0", "inbox": "0", "email": "1", "sms": "1", "facebook": "0", "whatsapp": "0", "webhook": "0", "broadcast": "0", "conversions": "0", "start_date": "2021-10-14", "start_date_time": "00:00", "start_time": "00:00", "end_time": "23:59", "send_days": [ "1", "2", "3", "4", "5", "6", "7" ], "retry_for": "4", "retry_for_period": "weeks", "activate_time": "1634201103", "last_modified": "1634202413", "messages": { "2": { "push_title": "Android push title", "push_text": "Android push text" }, "6": { "push_title": "

Inbox title

", "push_text": "

Inbox text

", "push_icon": "https://example.com/image.png", "inbox_type": "1" }, "7": { "email_type": "1", "email_template": "{\"page\":{\"body\":{\"container\":{\"style\":{\"background-color\":\"#f2f2f2\"}},\"content\":{\"computedStyle\":{\"linkColor\":\"#0645AD\",\"messageBackgroundColor\":\"#ffffff\",\"messageWidth\":\"600px\"},\"style\":{\"color\":\"#000000\",\"font-family\":\"Arial, Helvetica Neue, Helvetica, sans-serif\"}},\"type\":\"mailup-bee-page-proprerties\",\"webFonts\":[]},\"description\":\"Base Template\",\"rows\":[{\"columns\":[{\"grid-columns\":12,\"modules\":[{\"descriptor\":{\"computedStyle\":{\"hideContentOnMobile\":false},\"style\":{\"padding-bottom\":\"10px\",\"padding-left\":\"10px\",\"padding-right\":\"10px\",\"padding-top\":\"10px\"},\"text\":{\"computedStyle\":{\"linkColor\":\"#0645AD\"},\"html\":\"

Tests

\",\"style\":{\"color\":\"#555555\",\"font-family\":\"inherit\",\"line-height\":\"120%\"}}},\"type\":\"mailup-bee-newsletter-modules-text\",\"uuid\":\"290e8159-9b94-4700-9264-668646db1e2e\"},{\"type\":\"mailup-bee-newsletter-modules-image\",\"descriptor\":{\"image\":{\"alt\":\"\",\"src\":\"\",\"href\":\"\"},\"style\":{\"width\":\"100%\",\"padding-top\":\"0px\",\"padding-right\":\"0px\",\"padding-bottom\":\"0px\",\"padding-left\":\"0px\"},\"computedStyle\":{\"class\":\"center autowidth\",\"width\":\"100px\",\"hideContentOnMobile\":false}},\"uuid\":\"4dac545e-5d47-458c-ad6f-0f23a75303d2\"}],\"style\":{\"background-color\":\"transparent\",\"border-bottom\":\"0px solid transparent\",\"border-left\":\"0px solid transparent\",\"border-right\":\"0px solid transparent\",\"border-top\":\"0px solid transparent\",\"padding-bottom\":\"5px\",\"padding-left\":\"0px\",\"padding-right\":\"0px\",\"padding-top\":\"5px\"},\"uuid\":\"fbc25679-19ba-4c0a-9d9d-4c3aeb277cdb\"}],\"container\":{\"style\":{\"background-color\":\"transparent\",\"background-image\":\"none\",\"background-position\":\"top left\",\"background-repeat\":\"no-repeat\"}},\"content\":{\"style\":{\"background-color\":\"#ffffff\",\"background-image\":\"none\",\"background-position\":\"top left\",\"background-repeat\":\"no-repeat\",\"color\":\"#000000\",\"width\":\"600px\"}},\"type\":\"one-column-empty\",\"uuid\":\"fe1100e4-fe16-4413-b90b-c329a7e542ba\"}],\"template\":{\"name\":\"template-base\",\"type\":\"basic\",\"version\":\"0.0.1\"},\"title\":\"Template\"},\"comments\":{}}", "email_html": "

Tests

", "email_subject": "Email subject", "email_from_name": "Oxfordstones", "email_from_address": "info@oxfordstones.co.uk", "email_reply_to_name": "Oxfordstones", "email_reply_to_address": "help@oxfordstones.co.uk", "email_unsubscribe": "0" } } } } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } } }, "tags": [ "Campaign Methods" ] } } } } ````